AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.Manager.Action
AbsoluteTimeoutAction Class
AbsoluteTimeoutAction Constructor
AbsoluteTimeoutAction Methods
AbsoluteTimeoutAction Properties

| AbsoluteTimeoutAction Class

The AbsoluteTimeoutAction sets the absolute maximum amount of time permitted for a call on a given channel.
Note that the timeout is set from the current time forward, not counting the number of seconds the call has already been up.
When setting a new timeout all previous absolute timeouts are cancelled.
When the timeout is reached the call is returned to the T extension so that you can playback an explanatory note to the calling party (the called party will not hear that).
This action corresponds the the AbsoluteTimeout command used in the dialplan.
Inheritance Hierarchy
System
Object
AsterNET.Manager.Action
ManagerAction
AsterNET.Manager.Action
AbsoluteTimeoutAction

Namespace: AsterNET.Manager.Action
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class AbsoluteTimeoutAction : ManagerAction

    Public Class AbsoluteTimeoutAction
    	Inherits ManagerAction

    public ref class AbsoluteTimeoutAction : public ManagerAction

    type AbsoluteTimeoutAction =
        class
            inherit ManagerAction
        end

The AbsoluteTimeoutAction type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| AbsoluteTimeoutAction | Creates a new empty AbsoluteTimeoutAction.
| AbsoluteTimeoutAction(String, Int32) | Creates a new AbsoluteTimeoutAction with the given channel and timeout.

Top
Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | (Inherited from ManagerAction.)

Top
Properties

| Name | Description
--- | --- | ---
| Action | Get the name of this action, i.e. "AbsoluteTimeout". (Overrides ManagerAction Action.)
| ActionId | (Inherited from ManagerAction.)
| Channel | Get/Set the name of the channel.
| ProxyKey | You can use this as a simple authentication mechanism. Rather than have to login with a username & password, you can specify a ProxyKey that must be passed from a client before requests are processed. This is helpful in situations where you would like to authenticate and execute an action in a single step. (Inherited from ManagerAction.)
| Server | Specify a server to which to send your commands (x.x.x.x or hostname). This should match the server name specified in your config file's "host" entry. If you do not specify a server, the proxy will pick the first one it finds -- fine in single-server configurations. (Inherited from ManagerAction.)
| Timeout | Get/Set the timeout (in seconds) to set.

Top
See Also

#### Reference

AsterNET.Manager.Action Namespace